Skip to main content
Server path: /gorgias-customers | Type: Application | PCID required: Yes

Tools


gorgias_customers_create_custom_field

Create a custom field Parameters:
ParameterTypeRequiredDefaultDescription
deactivated_datetimestringNoWhen the custom field was deactivated.
definitionobjectYesThe settings for this custom field, dependent on the data type.
descriptionstringNoThe description of the custom field.
external_idstringNoID of the custom field in a foreign system (ex: Zendesk).
labelstringYesThe name of the custom field.
managed_typeobjectNoThe type of the managed field.
object_typestringYesObject Type
priorityintegerNoOrder in which custom fields are displayed.
requiredbooleanNoWhether this custom field is required.

gorgias_customers_create_customer

Create a customer Parameters:
ParameterTypeRequiredDefaultDescription
channelsobject[]YesThe customer’s contact channels.
emailstringNoPrimary email address of the customer.
external_idstringNoID of the customer in a foreign system (Stripe, Aircall, etc…). This field is not used by Gorgias, feel free to set it as you wish.
languagestringNoThe customer’s preferred language (format: ISO_639-1).
namestringNoFull name of the customer.
timezonestringNoThe customer’s preferred timezone (format: IANA timezone name).

gorgias_customers_delete_customer

Delete a customer Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the customer to delete.

gorgias_customers_delete_customer_custom_field_value

Delete customer field value Parameters:
ParameterTypeRequiredDefaultDescription
customer_idintegerYesThe ID of the customer.
idintegerYesThe ID of the custom field.

gorgias_customers_delete_customers

Delete customers Parameters:
ParameterTypeRequiredDefaultDescription
idsinteger[]YesA list of customer IDs to delete.

gorgias_customers_download_file

Download a file Parameters:
ParameterTypeRequiredDefaultDescription
file_typestringYesThe type of file to download
domain_hashstringYesThe domain identifier of the account that owns the resource
resource_namestringYesThe resource identifier of the attachment you are trying to retrieve

gorgias_customers_get_custom_field

Retrieve a custom field Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the custom field to retrieve.

gorgias_customers_get_customer

Retrieve a customer Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the customer to retrieve.
relationshipsobject[]NoNames of relations that should be included in returned data.

gorgias_customers_get_event

Retrieve an event Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the event to retrieve.

gorgias_customers_list_custom_fields

List custom fields Parameters:
ParameterTypeRequiredDefaultDescription
object_typestringYesType of entity on which to use this custom field.
searchstringNoSearch for custom fields’ names matching the given text query (case insensitive).
archivedbooleanNoA filter parameter used to return archived or non-archived only results.
order_bystringNoAttribute used to priority the errors.
cursorstringNoValue indicating your position in the list of all items. If omitted, the first items of the list will be returned.
limitintegerNoMaximum number of items to return.

gorgias_customers_list_customer_custom_fields_values

List customer field values Parameters:
ParameterTypeRequiredDefaultDescription
customer_idintegerYesThe ID of the customer.

gorgias_customers_list_customers

List customers Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoValue indicating your position in the list of all customers. If omitted, the first customers of the list will be returned.
emailstringNoPrimary email address of the customer you’re looking for.
external_idstringNoID of the customer in a foreign system (Stripe, Aircall etc.) you’re looking for.
languagestringNoThe customer’s preferred language (format: ISO_639-1) to filter with.
limitintegerNoMaximum number of customers to return.
namestringNoFull name of the customer you’re looking for.
order_bystringNoAttribute used to order customers.
timezonestringNoThe customer’s preferred timezone (format: IANA timezone name).
view_idintegerNoID of a view to filter customers by.
channel_typestringNoFilter customers by their customer channel types.
channel_addressstringNoFilter customers by their customer channel addresses.

gorgias_customers_list_events

List events Parameters:
ParameterTypeRequiredDefaultDescription
created_datetimeobjectNoComparators used to filter events on their creation date.
cursorstringNoValue indicating your position in the list of all events. If omitted, the first events of the list will be returned.
limitintegerNoMaximum number of events to return.
object_idintegerNoID of the object associated with the events to return.
object_typestringNoType of the object associated with the events to return.
order_bystringNoAttribute used to order events.<br>Value of <span style={{color: ‘red’}}>created_datetime has been deprecated</span>, use created_datetime:asc or created_datetime:desc instead.
typesstring[]NoTypes of the events to return.
user_idsinteger[]NoIDs of the users who triggered the events to return.

gorgias_customers_merge_customers

Merge two customers Parameters:
ParameterTypeRequiredDefaultDescription
source_idintegerYesThe ID of the customer to merge (which will be merged into the targeted customer).
target_idintegerYesThe ID of the targeted customer (which will still be here after the merge).
activebooleanNoA convenience field that indicates if the customer is active. This field is read-only. If you want to deactivate a customer you can set the deactivated_datetime field
channelsobject[]NoA list of CustomerChannel objects. Each channel represents a way to communicate with a customer. Example: email, phone, facebook, etc…
created_datetimestringNoWhen the customer was created.
custom_fieldsobjectNoThe custom fields associated with the customer.
customerobjectNoThe customer value
dataobjectNoUser defined JSON field. It can be useful for storing additional info about the object. <span style={{color: ‘red’}}>This parameter has been deprecated.</span>
ecommerce_dataobjectNoEcommerce data associated with the customer
emailstringNoPrimary email address of the customer
external_idstringNoExternal id can be used to identify this customer in a foreign system. This field is not used by Gorgias, feel free to set it as you wish.
firstnamestringNoFirst name of the customer. This field is read-only and generated using the name field
idintegerNoID of the object
integrationsobjectNoA list of integration data rows that this customer has. For example a customer can have Shopify integration data (orders, payments, etc…)
languagestringNoThe preferred language of the customer. We’re using ISO_639-1 codes from this list: https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
lastnamestringNoLast name of the customer. This field is read-only and generated using the name field
metaobjectNoUser defined JSON field. It can be useful for storing additional info about the object.
namestringNoFull name of the customer
notestringNoA note describing the customer.
timezonestringNoTimezone of the customer. We’re using timezones defined on this list: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
updated_datetimestringNoWhen the customer was last updated.

gorgias_customers_post_api_reporting_stats

Retrieve a statistic Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoValue indicating your position in the list of all analytics results. If omitted, the first analytics results of the list will be returned.
limitintegerNoMaximum number of analytics results to return.
queryobjectYesThe statistics query, dependent on the requested metric.

gorgias_customers_post_api_stats_name

Retrieve a statistic Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the statistic to retrieve.
filtersobjectYesMiscellaneous criteria to define the scope of the statistic.

gorgias_customers_post_api_stats_name_download

Download a statistic Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the statistic to retrieve.
filtersobjectYesMiscellaneous criteria to define the scope of the statistic.

gorgias_customers_post_api_upload

Upload files Parameters:
ParameterTypeRequiredDefaultDescription
typestringNoThe type of file to upload. If not specified, the file will be uploaded as a private attachment.
filestringNoA file to upload. The name of this parameter can be replaced with the label of the file you want to have once uploaded. E.g: package-damaged.png.

Search for resources Parameters:
ParameterTypeRequiredDefaultDescription
querystringNoText query used to search for resources.
sizeintegerNoMaximum number of results returned.
typestringYesThe type of search. Supported types: - customer: Search in customers’ names and emails - customer_profile: Search in customers’ names, emails, and channels’ addresses (phones, emails, etc…)

gorgias_customers_update_custom_field

Update a custom field Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the custom field to update.
deactivated_datetimestringNoWhen the custom field was deactivated.
definitionobjectNoThe settings for this custom field, dependent on the data type.
descriptionstringNoThe description of the custom field.
external_idstringNoID of the custom field in a foreign system (ex: Zendesk).
labelstringNoThe name of the custom field.
managed_typeobjectNoThe type of the managed field.
object_typestringNoObject Type
priorityintegerNoOrder in which custom fields are displayed.
requiredbooleanNoWhether this custom field is required.

gorgias_customers_update_custom_fields

Bulk update a list of custom fields Parameters:
ParameterTypeRequiredDefaultDescription
bodyobject[]YesRequest body

gorgias_customers_update_customer

Update a customer Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesThe ID of the customer to update.
channelsobject[]NoThe customer’s contact channels.
emailstringNoPrimary email address of the customer.
external_idstringNoID of the customer in a foreign system (Stripe, Aircall, etc…). This field is not used by Gorgias, feel free to set it as you wish.
languagestringNoThe customer’s preferred language (format: ISO_639-1).
namestringNoFull name of the customer.
timezonestringNoThe customer’s preferred timezone (format: IANA timezone name).

gorgias_customers_update_customer_custom_field_value

Update customer field value Parameters:
ParameterTypeRequiredDefaultDescription
customer_idintegerYesThe ID of the customer.
idintegerYesThe ID of the custom field.
bodyobjectYesRequest body

gorgias_customers_update_customer_custom_field_values

Update customer fields values Parameters:
ParameterTypeRequiredDefaultDescription
customer_idintegerYesThe ID of the customer.
bodyobject[]YesRequest body

gorgias_customers_update_customer_data

Set customer data Parameters:
ParameterTypeRequiredDefaultDescription
customer_idintegerYesThe ID of the customer to update.
dataobjectNoThe customer data.
versionstringNoThe date of the customer data. If we already have a more recent version, the request will be ignored.